var ns = GcSpread.Sheets;
$(function() {
    var availableTags = [
        "ActionScript",
        "AppleScript",
        "Asp",
        "BASIC",
        "C",
        "C++",
        "Clojure",
        "COBOL",
        "ColdFusion",
        "Erlang",
        "Fortran",
        "Groovy",
        "Haskell",
        "Java",
        "JavaScript",
        "Lisp",
        "Perl",
        "PHP",
        "Python",
        "Ruby",
        "Scala",
        "Scheme"
    ];

    var spread = new GcSpread.Sheets.Spread(document.getElementById("ss"), { sheetCount: 1 });
    var sheet = spread.getActiveSheet();
    sheet.isPaintSuspended(true);
    sheet.setValue(0, 1, "AutoComplete1", ns.SheetArea.colHeader);
    sheet.getColumn(1).cellType(new AutoCompleteCellType(availableTags)).width(200);
    
    sheet.setValue(0, 2, "AutoComplete2", ns.SheetArea.colHeader);
    var autoCompleteCellType = new AutoCompleteCellType();
    autoCompleteCellType.setAutocompleteSource(availableTags);
    sheet.getColumn(2).cellType(autoCompleteCellType).width(200);
    
    sheet.isPaintSuspended(false);


});